<?php

class PesquisaController extends Controller {

    /**
     * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
     * using two-column layout. See 'protected/views/layouts/column2.php'.
     */
    public $layout = '//layouts/column2';

    /**
     * @return array action filters
     */
    /* 	public function filters()
      {
      return array(
      'accessControl', // perform access control for CRUD operations
      'postOnly + delete', // we only allow deletion via POST request
      );
      } */

    /**
     * Specifies the access control rules.
     * This method is used by the 'accessControl' filter.
     * @return array access control rules
     */
    /* 	public function accessRules()
      {
      return array(
      array('allow',  // allow all users to perform 'index' and 'view' actions
      'actions'=>array('index','view'),
      'users'=>array('*'),
      ),
      array('allow', // allow authenticated user to perform 'create' and 'update' actions
      'actions'=>array('create','update'),
      'users'=>array('@'),
      ),
      array('allow', // allow admin user to perform 'admin' and 'delete' actions
      'actions'=>array('admin','delete'),
      'users'=>array('admin'),
      ),
      array('deny',  // deny all users
      'users'=>array('*'),
      ),
      );
      } */

    /**
     * Displays a particular model.
     * @param integer $id the ID of the model to be displayed
     */
    public function actionView($id) {
        $this->render('view', array(
            'model' => $this->loadModel($id),
        ));
    }

    /**
     * Creates a new model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     */
    public function actionCreate() {
        $model = new Pesquisa;
        // Uncomment the following line if AJAX validation is needed
        // $this->performAjaxValidation($model);

        if (isset($_POST['Pesquisa'])) {


            $model->id_crm_pesquisa = $_POST['Pesquisa']['id_crm_pesquisa'];
            $model->cod_serial_pesquisa = $_POST['Pesquisa']['cod_serial_pesquisa'];

            $model->id_resposta1_pesquisa = $_POST['Pesquisa']['id_resposta1_pesquisa'];
            $model->id_resposta2_pesquisa = $_POST['Pesquisa']['id_resposta2_pesquisa'];

            $resposta3 = '';
            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa1'])) {
                $resposta3 = $_POST['Pesquisa']['id_resposta3_pesquisa1'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa2'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa2'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa3'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa3'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa4'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa4'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa5'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa5'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa6'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa6'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa7'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa7'][0];
            }

            if (!empty($_POST['Pesquisa']['id_resposta3_pesquisa8'])) {
                $resposta3 .= ',' . $_POST['Pesquisa']['id_resposta3_pesquisa8'][0];
            }

            $resposta3 = ltrim($resposta3, ',');

            $model->id_resposta3_pesquisa = $resposta3;

            $model->id_resposta4_pesquisa = $_POST['Pesquisa']['id_resposta4_pesquisa'];

            $model->id_resposta5_pesquisa = $_POST['Pesquisa']['id_resposta5_pesquisa1'] . ',' .
                    $_POST['Pesquisa']['id_resposta5_pesquisa2'] . ',' .
                    $_POST['Pesquisa']['id_resposta5_pesquisa3'] . ',' .
                    $_POST['Pesquisa']['id_resposta5_pesquisa4'] . ',' .
                    $_POST['Pesquisa']['id_resposta5_pesquisa5'] . ',' .
                    $_POST['Pesquisa']['id_resposta5_pesquisa6'];

            $model->id_resposta6_pesquisa = $_POST['Pesquisa']['id_resposta6_pesquisa'];

            $model->attributes = $_POST['Pesquisa'];


            if ($model->validate()) {

                Yii::app()->user->setState("modelo", $model);
                //if($model->save())
                $this->redirect(array('clientePesquisa/create'));
            }
        }

        $this->render('create', array(
            'model' => $model,
        ));
    }

    /**
     * Updates a particular model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id the ID of the model to be updated
     */
    public function actionUpdate($id) {
        $model = $this->loadModel($id);

        // Uncomment the following line if AJAX validation is needed
        // $this->performAjaxValidation($model);

        if (isset($_POST['Pesquisa'])) {
            $model->attributes = $_POST['Pesquisa'];
            if ($model->save())
                $this->redirect(array('view', 'id' => $model->id_pesquisa));
        }

        $this->render('update', array(
            'model' => $model,
        ));
    }

    /**
     * Deletes a particular model.
     * If deletion is successful, the browser will be redirected to the 'admin' page.
     * @param integer $id the ID of the model to be deleted
     */
    public function actionDelete($id) {
        $this->loadModel($id)->delete();

        // if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
        if (!isset($_GET['ajax']))
            $this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
    }

    /**
     * Lists all models.
     */
    public function actionIndex() {
        $dataProvider = new CActiveDataProvider('Pesquisa');
        $this->render('index', array(
            'dataProvider' => $dataProvider,
        ));
    }

    /**
     * Manages all models.
     */
    public function actionAdmin() {
        $model = new Pesquisa('search');
        $model->unsetAttributes();  // clear any default values
        if (isset($_GET['Pesquisa']))
            $model->attributes = $_GET['Pesquisa'];

        $this->render('admin', array(
            'model' => $model,
        ));
    }

    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer $id the ID of the model to be loaded
     * @return Pesquisa the loaded model
     * @throws CHttpException
     */
    public function loadModel($id) {
        $model = Pesquisa::model()->findByPk($id);
        if ($model === null)
            throw new CHttpException(404, 'The requested page does not exist.');
        return $model;
    }

    /**
     * Performs the AJAX validation.
     * @param Pesquisa $model the model to be validated
     */
    protected function performAjaxValidation($model) {
        if (isset($_POST['ajax']) && $_POST['ajax'] === 'pesquisa-form') {
            echo CActiveForm::validate($model);
            Yii::app()->end();
        }
    }

}
