<?php

/**
 * This is the model class for table "tbl_crm_pesquisa".
 *
 * The followings are the available columns in table 'tbl_crm_pesquisa':
 * @property string $id_crm
 * @property string $cod_crm
 *
 * The followings are the available model relations:
 * @property TblPesquisa[] $tblPesquisas
 */
class CrmPesquisa extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @param string $className active record class name.
	 * @return CrmPesquisa the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return 'tbl_crm_pesquisa';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		// NOTE: you should only define rules for those attributes that
		// will receive user inputs.
		return array(
			array('cod_crm', 'length', 'max'=>20),
			// The following rule is used by search().
			// Please remove those attributes that should not be searched.
			array('id_crm, cod_crm', 'safe', 'on'=>'search'),
		);
	}

	/**
	 * @return array relational rules.
	 */
	public function relations()
	{
		// NOTE: you may need to adjust the relation name and the related
		// class name for the relations automatically generated below.
		return array(
			'tblPesquisas' => array(self::HAS_MANY, 'TblPesquisa', 'id_crm_pesquisa'),
		);
	}

	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id_crm' => 'Id Crm',
			'cod_crm' => 'Cod Crm',
		);
	}

	/**
	 * Retrieves a list of models based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
	 */
	public function search()
	{
		// Warning: Please modify the following code to remove attributes that
		// should not be searched.

		$criteria=new CDbCriteria;

		$criteria->compare('id_crm',$this->id_crm,true);
		$criteria->compare('cod_crm',$this->cod_crm,true);

		return new CActiveDataProvider($this, array(
			'criteria'=>$criteria,
		));
	}
}