<?php

/**
 * This is the model class for table "tbl_pesquisa".
 *
 * The followings are the available columns in table 'tbl_pesquisa':
 * @property string $id_pesquisa
 * @property string $cod_serial_pesquisa
 * @property string $id_crm_pesquisa
 * @property string $id_resposta1_pesquisa
 * @property string $id_resposta2_pesquisa
 * @property string $id_resposta3_pesquisa
 * @property string $id_resposta4_pesquisa
 * @property string $id_resposta5_pesquisa
 * @property string $id_cliente_pesquisa
 *
 * The followings are the available model relations:
 * @property TblRespostaPerguntaPesquisa $idResposta5Pesquisa
 * @property TblClientePesquisa $idClientePesquisa
 * @property TblCrmPesquisa $idCrmPesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta1Pesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta2Pesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta3Pesquisa
 * @property TblRespostaPerguntaPesquisa $idResposta4Pesquisa
 */
class Pesquisa extends CActiveRecord {

    public $id_resposta1_pesquisa;
    public $id_resposta2_pesquisa;
    public $id_resposta3_pesquisa;
    public $id_resposta3_pesquisa1;
    public $id_resposta3_pesquisa2;
    public $id_resposta3_pesquisa3;
    public $id_resposta3_pesquisa4;
    public $id_resposta3_pesquisa5;
    public $id_resposta3_pesquisa6;
    public $id_resposta3_pesquisa7;
    public $id_resposta3_pesquisa8;
    public $id_resposta4_pesquisa;
    public $id_resposta5_pesquisa;
    public $id_resposta5_pesquisa1;
    public $id_resposta5_pesquisa2;
    public $id_resposta5_pesquisa3;
    public $id_resposta5_pesquisa4;
    public $id_resposta5_pesquisa5;
    public $id_resposta5_pesquisa6;
    public $id_resposta6_pesquisa;

    /**
     * Returns the static model of the specified AR class.
     * @param string $className active record class name.
     * @return Pesquisa the static model class
     */
    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    /**
     * @return string the associated database table name
     */
    public function tableName() {
        return 'tbl_pesquisa';
    }

    /**
     * @return array validation rules for model attributes.
     */
    public function rules() {
        // NOTE: you should only define rules for those attributes that
        // will receive user inputs.
        return array(
            array('cod_serial_pesquisa, id_crm_pesquisa, id_resposta1_pesquisa, id_resposta2_pesquisa, id_resposta3_pesquisa, id_resposta4_pesquisa, id_resposta5_pesquisa, id_resposta6_pesquisa', 'required'),
            array('cod_serial_pesquisa, id_crm_pesquisa, id_resposta1_pesquisa, id_resposta2_pesquisa, id_resposta3_pesquisa, id_resposta4_pesquisa, id_cliente_pesquisa', 'length', 'max' => 10),
            // The following rule is used by search().
            // Please remove those attributes that should not be searched.
            array('id_pesquisa, cod_serial_pesquisa, id_crm_pesquisa, id_resposta1_pesquisa, id_resposta2_pesquisa, id_resposta3_pesquisa, id_resposta4_pesquisa, id_resposta5_pesquisa, id_cliente_pesquisa', 'safe', 'on' => 'search'),
        );
    }

    /**
     * @return array relational rules.
     */
    public function relations() {
        // NOTE: you may need to adjust the relation name and the related
        // class name for the relations automatically generated below.
        return array(
            'idResposta5Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta5_pesquisa'),
            'idClientePesquisa' => array(self::BELONGS_TO, 'TblClientePesquisa', 'id_cliente_pesquisa'),
            'idCrmPesquisa' => array(self::BELONGS_TO, 'TblCrmPesquisa', 'id_crm_pesquisa'),
            'idResposta1Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta1_pesquisa'),
            'idResposta2Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta2_pesquisa'),
            'idResposta3Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta3_pesquisa'),
            'idResposta4Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta4_pesquisa'),
            'idResposta5Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta5_pesquisa'),
            'idResposta6Pesquisa' => array(self::BELONGS_TO, 'TblRespostaPerguntaPesquisa', 'id_resposta6_pesquisa'),
        );
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels() {
        return array(
            'id_pesquisa' => '',
            'cod_serial_pesquisa' => '',
            'id_crm_pesquisa' => '',
            'id_resposta1_pesquisa' => 'De que forma voc&ecirc; utilizou o produto? ',
            'id_resposta2_pesquisa' => 'Qual o seu tipo de pele de rosto?',
            'id_resposta3_pesquisa' => 'Sobre a efic&aacute;cia de Normaderm 3 em 1, responda:',
            'id_resposta4_pesquisa' => 'Sobre a efic&aacute;cia de Normaderm 3 em 1, voc&ecirc; diria que, comparando-o com seu produto anterior?',
            'id_resposta5_pesquisa' => 'Ainda avaliando Normaderm Limpeza 3 em 1, d&ecirc; uma nota de 0 a 10 para os benef&iacute;cios abaixo, sendo 10 a mais alta',
            'id_resposta6_pesquisa' => 'No geral, o quanto voc&ecirc; diria que est&aacute; satisfeito com a efic&aacute;cia de Normaderm Limpeza 3 em 1?',
            'id_cliente_pesquisa' => 'id',
        );
    }

    /**
     * Retrieves a list of models based on the current search/filter conditions.
     * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
     */
    public function search() {
        // Warning: Please modify the following code to remove attributes that
        // should not be searched.

        $criteria = new CDbCriteria;

        $criteria->compare('id_pesquisa', $this->id_pesquisa, true);
        $criteria->compare('cod_serial_pesquisa', $this->cod_serial_pesquisa, true);
        $criteria->compare('id_crm_pesquisa', $this->id_crm_pesquisa, true);
        $criteria->compare('id_resposta1_pesquisa', $this->id_resposta1_pesquisa, true);
        $criteria->compare('id_resposta2_pesquisa', $this->id_resposta2_pesquisa, true);
        $criteria->compare('id_resposta3_pesquisa', $this->id_resposta3_pesquisa, true);
        $criteria->compare('id_resposta4_pesquisa', $this->id_resposta4_pesquisa, true);
        $criteria->compare('id_resposta5_pesquisa', $this->id_resposta5_pesquisa, true);
        $criteria->compare('id_resposta6_pesquisa', $this->id_resposta6_pesquisa, true);
        $criteria->compare('id_cliente_pesquisa', $this->id_cliente_pesquisa, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}